ToolzerHub Docs

Get album tracks with play counts (v1)

Returns an album's label, release date, copyright and one page of up to 50 tracks, each with its play count. data is null when the album does not exist.

1 credit / requestBilled only on success
GET
/v1/spotify/album

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

album_id_or_url*string

The album's open.spotify.com link, its spotify:album: URI, or its 22-character ID (the id in a search result), such as 5Z9iiGl2FcIfa3BMiv6OIw.

Lengthlength <= 1000
offset?|

Zero-based position of the first track to return; each page has up to 50. Pass the next_offset of the previous page.

Range0 <= value <= 10000
Default0
curl -X GET "https://example.com/v1/spotify/album?album_id_or_url=https%3A%2F%2Fopen.spotify.com%2Falbum%2F5Z9iiGl2FcIfa3BMiv6OIw" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "5Z9iiGl2FcIfa3BMiv6OIw",    "uri": "spotify:album:5Z9iiGl2FcIfa3BMiv6OIw",    "url": "https://open.spotify.com/album/5Z9iiGl2FcIfa3BMiv6OIw",    "name": "Whenever You Need Somebody",    "type": "ALBUM",    "label": "BMG Rights Management (UK) Ltd",    "release_date": "1987-11-12",    "image_url": "https://i.scdn.co/image/ab67616d0000b273baf89eb11ec7c657805d2da0",    "artists": [      {        "id": "0gxyHStUsqpMadRV0Di1Qt",        "name": "Rick Astley",        "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt"      }    ],    "copyright": [      "1987 BMG Rights Management (UK) Limited"    ],    "total_tracks": 10,    "offset": 0,    "page_size": 50,    "next_offset": null,    "has_more": false,    "tracks": [      {        "id": "4cOdK2wGLETKBW3PvgPWqT",        "uri": "spotify:track:4cOdK2wGLETKBW3PvgPWqT",        "url": "https://open.spotify.com/track/4cOdK2wGLETKBW3PvgPWqT",        "name": "Never Gonna Give You Up",        "duration_ms": 213573,        "explicit": false,        "playable": true,        "artists": [          {            "id": "0gxyHStUsqpMadRV0Di1Qt",            "name": "Rick Astley",            "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt"          }        ],        "playcount": 1200207819,        "track_number": 1,        "disc_number": 1      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}